summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorRobert Schwebel <r.schwebel@pengutronix.de>2006-05-31 09:49:34 +0000
committerRobert Schwebel <r.schwebel@pengutronix.de>2006-05-31 09:49:34 +0000
commit6762f42867bd288ad8bd39df6bc997c0f6a76d89 (patch)
treeb43fc27dadf5ef0a8011ddedc2cdfddc0a132a2b /bin
parent8b9e430b50115fca8155b8836b66b26f4377e846 (diff)
downloadptxdist-6762f42867bd288ad8bd39df6bc997c0f6a76d89.tar.gz
ptxdist-6762f42867bd288ad8bd39df6bc997c0f6a76d89.tar.xz
* allow both 'ptxdist drop sample compile' and 'ptxdist drop sample compile'
git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-0.10-trunk@5609 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ptxdist33
1 files changed, 22 insertions, 11 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index 785764f0e..fe0c09386 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -337,6 +337,27 @@ clean() {
echo
}
+drop() {
+ local statefile
+ if [ "$2" = "" ]; then
+ statefile="$1"
+ else
+ statefile="$1.$2"
+ fi
+
+ echo
+ if [ -e ${STATEDIR}/${statefile} ]; then
+ rm -f ${STATEDIR}/${statefile}
+ echo "droping ${statefile}"
+ echo
+ exit 0
+ else
+ echo "stage ${statefile} isn't built, so we cannot drop it"
+ echo
+ exit 1
+ fi
+}
+
menuconfig() {
echo
@@ -680,17 +701,7 @@ while [ "$#" != "0" ]; do
;;
drop) shift
check_ptxconfig
- echo
- if [ -e ${STATEDIR}/$1 ]; then
- rm -f ${STATEDIR}/$1
- echo "droping $1"
- echo
- exit 0
- else
- echo "stage $1 isn't built, so we cannot drop it"
- echo
- exit 1
- fi
+ drop $1 $2
;;
extract) shift
check_ptxconfig